  @media (min-width:768px) {
    .hero {
        min-height: 90vh;

    }

    .trust-section {
        min-height: 95vh;
    }

    .services {
        min-height: 97vh;

    }

    .services-packages {
        min-height: 95vh;

    }
  }
    
    @keyframes pop {
    from {
        transform: scale(0.8);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes navHint {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(-10px);
    }

    100% {
        transform: translateX(0);
    }
}

@media (max-width: 900px) {
    body {
        width: 100% !important;
    }

    .hero h1 {
        font-size: 32px;
    }

    .grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .pricing-grid {
        flex-direction: column;
        align-items: center;
    }

    .price-card {
        width: 100%;
        max-width: 420px;
    }

    .contact-form input {
        width: 100%;
        max-width: 320px;
    }


    .portfolio-card img {
        height: 150px;
    }


    .services-grid {

        grid-template-columns: repeat(3, 1fr);

    }


    .portfolio {

        grid-template-columns: repeat(3, 1fr);

    }

}



@media (max-width:480px) {
    .hero {
        padding: 90px 0;
    }

    .hero h1 {
        font-size: 26px;
    }

    .hero-buttons {
        display: flex;
        flex-direction: column;
        gap: 12px;
    }

    .grid {
        grid-template-columns: 1fr 1fr;
        gap: 12px;
    }

    .card {
        padding: 18px;
        font-size: 14px;
    }

    /* EVEN MORE COMPACT HEADER */
    .logo {
        font-size: 15px;
    }

    .nav a {
        font-size: 13px;
    }

    /* PRICING STILL TWO BUT TIGHT */
    .pricing-grid {
        grid-template-columns: 1fr 1fr;
        gap: 10px;
    }

    .price-card {
        padding: 16px;
    }

    /* SMALLER SECTION SPACING */
    .services,
    .pricing,
    .contact {
        padding: 60px 0;
    }


    .services-grid {

        grid-template-columns: 1fr 1fr;

    }

}




/* MOBILE UX */

@media (max-width:768px) {

    .hero h1 {
        font-size: 30px;
    }

    .grid {
        grid-template-columns: 1fr 1fr;
        gap: 12px;
    }

    .card {
        padding: 18px;
        font-size: 14px;
    }

    .pricing-grid {
        flex-direction: column;
        align-items: center;
    }

    .price-card {
        max-width: 420px;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .contact-form input {
        width: 100%;
        max-width: 300px;
    }



    /* MOBILE IMPROVEMENTS */



    .logo {
        font-size: 12px;
    }

    .nav {
        display: flex;
        flex-wrap: nowrap;
        justify-content: center;
        gap: 5px;
    }

    .nav a {
        font-size: 9px;
        margin: 0;
        white-space: nowrap;
    }

    .desktop-btn {
        padding: 4px 6px;
        font-size: 9px;
    }

    /* PRICING SIDE BY SIDE */
    .pricing-grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 14px;
    }

    .price-card {
        padding: 20px;
    }

    .price-card h3 {
        font-size: 18px;
    }

    .price-card li {
        font-size: 13px;
    }

    /* CONTAINER SPACING SMALLER */
    .services,
    .pricing,
    .contact {
        padding: 70px 0;
    }

}

@media (max-width:768px) {

    .header {
        padding: 12px 0;
        margin: 0;
    }

    .header .container {
        display: flex;
        align-items: center;
        justify-content: start;
        gap: 10px;
        margin: 0;
    }

    /* логотип */

    .logo {
        font-size: 15px;
        font-weight: 700;
        white-space: nowrap;
        margin: 0;
    }

    /* меню */

    .nav {
        display: flex;
        gap: 12px;
        flex-wrap: nowrap;
        margin: 0;
    }

    .nav a {
        font-size: 13px;
        margin: 0;
        white-space: nowrap;
    }

    /* кнопка портфолио */

    .desktop-btn {
        padding: 6px 10px;
        font-size: 12px;
        border-radius: 10px;
    }



    .small {
        display: none;
    }

    body {
        font-size: 0.8rem;
    }

    .hero h1 {
        font-size: 20px !important;
    }

    .hero p {
        font-size: 12px;
    }

    h2,
    .section-title h2 {
        font-size: 18px;
    }

    h3 {
        font-size: 16px;
    }

    body {
        font-size: 14px;
    }

    .services,
    .pricing,
    .contact {
        padding: 50px 0;
    }

    .container {
        width: 92%;
    }

    .btn {
        padding: 10px 18px;
        font-size: 13px;
    }

    .card {
        padding: 14px;
        font-size: 13px;
    }

    .price-card {
        padding: 18px;
    }

    .price-card h3 {
        font-size: 16px;
    }

    .price-card li {
        font-size: 12px;
    }

    .contact-form input {
        padding: 10px;
        font-size: 14px;
    }

    footer {
        padding: 16px;
        font-size: 12px;
    }

    .trust-block,
    .expert,
    .trust-footer {
        font-size: 13px;
        padding: 20px 15px;
    }

    .hero-trust {
        font-size: 12px;
    }

    .pricing-trust,
    .contact-trust {
        font-size: 13px;
    }

    .header {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        gap: 5px;
    }


    header {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    header nav {
        display: flex;
        gap: 0px;
    }

    header a {
        font-size: 12px;
        white-space: nowrap;
    }

    header button {
        font-size: 14px;
        padding: 6px 12px;
    }

    header .logo {
        font-size: 16px;
        white-space: nowrap;
    }

    .logo img {
        height: 32px;
        width: 40px;
    }

    .logo h1 {
        font-size: 20px;
    }

    .width {
        margin-left: 15px;
    }

    .logo {
        height: 40px;
    }


    .contact-fab {
        position: fixed;
        right: 15px;
        bottom: 50px;
    }

    .header .container {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    /* скрываем кнопку портфолио */

    .desktop-btn {
        display: none;
    }

    /* меню */

    nav {
        display: flex;
        gap: 16px;
        overflow-x: auto;
        white-space: nowrap;
        scrollbar-width: none;
    }

    nav a {
        font-size: 14px;
        padding: 6px 4px;
        flex-shrink: 0;
    }

    .logo {
        flex-shrink: 0;
    }

    .btn {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: center;

        max-width: 70%;
        font-size: 12px;
    }

    .sm {
        margin-right: 2px;
        display: none;
    }

    .hr {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;

    }

    .contact-form {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 15px;
    }


    .contact-fab {
        right: 20px;
        bottom: 70px;
    }


    .contact-fab {
        right: 20px !important;
        bottom: 50px !important;
    }


    .portfolio-card img {
        height: 100px;
    }

    .card-info {
        padding: 8px;
    }

    .card-tag {
        font-size: 10px;
    }



    .portfolio {

        grid-template-columns: repeat(2, 1fr);

        gap: 12px;

        padding: 25px 15px;

    }

    .card-info {

        padding: 8px;

    }

    .card-tag {

        font-size: 10px;

    }


    .trust-container {

        grid-template-columns: 1fr;
        gap: 40px;

        text-align: center;

    }

    .trust-stats {

        justify-content: center;

    }

    .trust-team {

        justify-content: center;

    }

    .html {
        max-width: 100% !important;
    }

    .body {
        max-width: 100% !important;
    }


    .services-grid {

        grid-template-columns: repeat(2, 1fr);

        gap: 12px;

    }

    .service-card {

        padding: 18px;

        min-height: 160px;

    }

    .service-card h3 {

        font-size: 15px;

    }

    .service-card p {

        font-size: 12px;

    }

    .price {

        font-size: 11px;

    }

    .service-btn {

        font-size: 12px;

        padding: 9px 10px;

    }

    .portfolio {

        grid-template-columns: repeat(2, 1fr);

        gap: 12px;

        padding: 30px 15px;

    }

    .portfolio-card img {

        height: 65%;

    }

    .card-info {

        padding: 8px;

    }

    .card-info h3 {

        font-size: 14px;

    }

    .card-tag {

        font-size: 10px;

    }

    .trust-text h2 {
        font-size: 16px;
    }

    .portfolio-title {
        font-size: 18px;
    }

    .header h1 {
        margin-top: 2.5px;
    }


    .header {
        background-color: rgba(10, 89, 158, 0.019);
    }
/*=======FONTS=======*/
    .hero h1 {
        font-size: 24px !important;

    }

    .trust-section h2 {
        font-size: 22px;
    }

    .services {
        font-size: 22px;

    }

    .services-packages h2 {
        font-size: 22px;

    }

    .portfolio-title {
        font-size: 22px;
    }

    .contact-title {
        font-size: 22px !important;
    }
    p span {
        font-size: 14px;
    }
    .trust-number {
        font-size: 24px;
    }
    .trust-item p {
        font-size: 14px;
    }





    

    .hero-inner {
        grid-template-columns: 1fr;
    }

    .problem-grid {
        grid-template-columns: 1fr 1fr;
    }

}

@media (max-width: 500px) {

    .problem-grid {
        grid-template-columns: 1fr;
    }

    .hero-left h1 {
        font-size: 30px;
    }

}